Subject: Re: bug#1291: 23.0.60; 1) resize-mini-windows: customizable, 2) if grow mini, grow Completions

From: martin rudalics <[email-masked]>
Date: Sun, 02 Nov 2008 20:45:33 +0100

> The problem is not that the *Completions* window is not fit properly by
 > Electric-pop-up-window - it is. The problem is that after fitting it the
 > minibuffer expansion reduces the *Completions* window. It should not.

There's nothing special about the *Completions* window once it has been
handled by `fit-window-to-buffer', so resizing the minibuffer won't care
about it specially.

 > There ought to be a way to respect the *Completions* window size that we go to
 > the trouble of creating by calling `fit-window-to-buffer'.

We could fix the window's height (but I don't want to think of the
complaints).  So maybe, we should provide additional values for
`window-size-fixed' like 'lax-height and 'lax-weight thus Emacs would
try to shrink some other window first.

martin